Ubuntu

Thunderbird is being blocked by apparmor from Firefox

Reported by Micah Gersten on 2012-04-29
32
This bug affects 4 people
Affects Status Importance Assigned to Milestone
apparmor (Ubuntu)
Medium
Jamie Strandboge
Lucid
Medium
Unassigned
Natty
Medium
Unassigned
Oneiric
Medium
Unassigned
Precise
Medium
Unassigned
Quantal
Medium
Jamie Strandboge

Bug Description

Thunderbird has changed to a non-versioned path as well.

kernel: [2431469.877732] type=1400 audit(1335681834.454:940): apparmor="DENIED" operation="exec" parent=31314 profile="/usr/lib/firefox-trunk/firefox{,*[^s][^h]}" name="/usr/lib/thunderbird/thunderbird.sh" pid=31315 comm="firefox-trunk" requested_mask="x" denied_mask="x" fsuid=1000 ouid=0

/etc/apparmor.d/abstractions/ubuntu-email needs to be updated for this

Micah Gersten (micahg) wrote :

This should go in with the Firefox profile change.

Changed in apparmor (Ubuntu Quantal):
assignee: nobody → Jamie Strandboge (jdstrand)
importance: Undecided → Medium
status: New → In Progress
Changed in apparmor (Ubuntu Lucid):
status: New → Triaged
importance: Undecided → Medium
Changed in apparmor (Ubuntu Natty):
status: New → Triaged
importance: Undecided → Medium
Changed in apparmor (Ubuntu Oneiric):
status: New → Triaged
importance: Undecided → Medium
Changed in apparmor (Ubuntu Precise):
status: New → Triaged
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apparmor - 2.7.102-0ubuntu4

---------------
apparmor (2.7.102-0ubuntu4) quantal; urgency=low

  * Fix FTBFS (LP: #1000055). Patch thanks to Steve Beattie.
    - debian/control: Build-Depends on texlive-latex-recommended
    - debian/rules: add V=1 for 'make' and 'make check' when building the
      parser
  * debian/patches/0018-lp990931.patch: adjust path for thunderbird to include
    non-versioned path
    - LP: #990931
 -- Jamie Strandboge <email address hidden> Fri, 18 May 2012 15:02:02 -0500

Changed in apparmor (Ubuntu Quantal):
status: In Progress → Fix Released
Micah Gersten (micahg) on 2012-06-05
Changed in apparmor (Ubuntu Oneiric):
status: Triaged → In Progress
Changed in apparmor (Ubuntu Precise):
assignee: nobody → Micah Gersten (micahg)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apparmor - 2.7.102-0ubuntu3.1

---------------
apparmor (2.7.102-0ubuntu3.1) precise-security; urgency=low

  * fix LP: #990931 - Thunderbird is being blocked by apparmor from Firefox;
    This was a regression from the Thunderbird path changing to a non-versioned
    path in the Thunderbird 12 packaging
    - add debian/patches/0015-lp990931.patch
    - update debian/patches/series
 -- Micah Gersten <email address hidden> Tue, 05 Jun 2012 02:11:28 -0500

Changed in apparmor (Ubuntu Precise):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apparmor - 2.5.1-0ubuntu0.10.04.4

---------------
apparmor (2.5.1-0ubuntu0.10.04.4) lucid-security; urgency=low

  * fix LP: #989184 - Firefox 12's launcher script is not allowed in
    abstractions/ubuntu-browsers; This was a regression from the firefox
    path changing to a non-versioned path in the Firefox 12 packaging
    - add debian/patches/0016-lp989184.patch
    - update debian/patches/series
  * fix LP: #990931 - Thunderbird is being blocked by apparmor from Firefox;
    This was a regression from the Thunderbird path changing to a non-versioned
    path in the Thunderbird 12 packaging
    - add debian/patches/0015-lp990931.patch
    - update debian/patches/series
 -- Micah Gersten <email address hidden> Wed, 30 May 2012 14:02:17 -0500

Changed in apparmor (Ubuntu Lucid):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apparmor - 2.6.1-0ubuntu3.1

---------------
apparmor (2.6.1-0ubuntu3.1) natty-security; urgency=low

  * fix LP: #989184 - Firefox 12's launcher script is not allowed in
    abstractions/ubuntu-browsers; This was a regression from the firefox
    path changing to a non-versioned path in the Firefox 12 packaging
    - add debian/patches/0016-lp989184.patch
    - update debian/patches/series
  * fix LP: #990931 - Thunderbird is being blocked by apparmor from Firefox;
    This was a regression from the Thunderbird path changing to a non-versioned
    path in the Thunderbird 12 packaging
    - add debian/patches/0015-lp990931.patch
    - update debian/patches/series
 -- Micah Gersten <email address hidden> Tue, 05 Jun 2012 01:54:14 -0500

Changed in apparmor (Ubuntu Natty):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apparmor - 2.7.0~beta1+bzr1774-1ubuntu2.1

---------------
apparmor (2.7.0~beta1+bzr1774-1ubuntu2.1) oneiric-security; urgency=low

  * fix LP: #989184 - Firefox 12's launcher script is not allowed in
    abstractions/ubuntu-browsers; This was a regression from the firefox
    path changing to a non-versioned path in the Firefox 12 packaging
    - add debian/patches/0016-lp989184.patch
    - update debian/patches/series
  * fix LP: #990931 - Thunderbird is being blocked by apparmor from Firefox;
    This was a regression from the Thunderbird path changing to a non-versioned
    path in the Thunderbird 12 packaging
    - add debian/patches/0015-lp990931.patch
    - update debian/patches/series
 -- Micah Gersten <email address hidden> Tue, 05 Jun 2012 02:01:04 -0500

Changed in apparmor (Ubuntu Oneiric):
status: In Progress → Fix Released
Carlos Hamer (carloshamer) wrote :

???

Leo Newburn (leokn) wrote :

I ended up being directed here, why I don't know, by a dialogue box which appeared when I did my usual updating through the Update Manager. It said something like "...go to [here] until it is available through Update Manager."

Thyagaraju (tyagi1944) on 2012-06-16
Changed in apparmor (Ubuntu Precise):
assignee: Micah Gersten (micahg) → Thyagaraju (tyagi1944)
Micah Gersten (micahg) on 2012-06-17
Changed in apparmor (Ubuntu Precise):
assignee: Thyagaraju (tyagi1944) → Micah Gersten (micahg)
Changed in apparmor (Ubuntu Lucid):
assignee: nobody → Yevgeniy Sobolev (yvgnysblv-m)
Micah Gersten (micahg) on 2012-06-26
Changed in apparmor (Ubuntu Lucid):
assignee: Yevgeniy Sobolev (yvgnysblv-m) → nobody
Changed in apparmor (Ubuntu Precise):
assignee: Micah Gersten (micahg) → SUKRITI RANJAN ROUTH (os-sukriti-routh)
assignee: SUKRITI RANJAN ROUTH (os-sukriti-routh) → nobody
Naasik (h-hunty) on 2012-07-23
Changed in apparmor (Ubuntu Lucid):
assignee: nobody → Naasik (h-hunty)
Changed in apparmor (Ubuntu Natty):
assignee: nobody → Naasik (h-hunty)
Changed in apparmor (Ubuntu Oneiric):
assignee: nobody → Naasik (h-hunty)
Changed in apparmor (Ubuntu Precise):
assignee: nobody → Naasik (h-hunty)
Changed in apparmor (Ubuntu Quantal):
assignee: Jamie Strandboge (jdstrand) → Naasik (h-hunty)
Micah Gersten (micahg) on 2012-07-23
Changed in apparmor (Ubuntu Lucid):
assignee: Naasik (h-hunty) → nobody
Changed in apparmor (Ubuntu Natty):
assignee: Naasik (h-hunty) → nobody
Changed in apparmor (Ubuntu Precise):
assignee: Naasik (h-hunty) → nobody
Changed in apparmor (Ubuntu Oneiric):
assignee: Naasik (h-hunty) → nobody
Changed in apparmor (Ubuntu Quantal):
assignee: Naasik (h-hunty) → Jamie Strandboge (jdstrand)

Hello Micah, or anyone else affected,

Accepted into precise-proposed. The package will build now and be available in a few hours in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers